package com.bocloud.cmp.model.hmc;

public class HmdViosSeaModel extends HmdGenericModel {
    private Integer vlanId; // vlanId
    private String ipInterfaceName; // 网络接口名称
    private String ipInterfaceStatus; // 网络接口状态
    private String ipAddress; // IP地址
    private String subnetMask; // 子网掩码
    private String uniqueDeviceId; // 设备唯一id
    private String name; // 名称
    private HmdPartitionModel vios; // 所属vios
    private HmdViosPhysicalEthernetAdapterModel physicalEthernetAdapter; // 使用的物理网卡
    private HmdVirtualNetworkAdapterModel virtualNetworkAdapter; // 使用的虚拟网卡

    public Integer getVlanId() {
        return vlanId;
    }

    public void setVlanId(Integer vlanId) {
        this.vlanId = vlanId;
    }

    public String getIpInterfaceName() {
        return ipInterfaceName;
    }

    public void setIpInterfaceName(String ipInterfaceName) {
        this.ipInterfaceName = ipInterfaceName;
    }

    public String getIpInterfaceStatus() {
        return ipInterfaceStatus;
    }

    public void setIpInterfaceStatus(String ipInterfaceStatus) {
        this.ipInterfaceStatus = ipInterfaceStatus;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public String getSubnetMask() {
        return subnetMask;
    }

    public void setSubnetMask(String subnetMask) {
        this.subnetMask = subnetMask;
    }

    public String getUniqueDeviceId() {
        return uniqueDeviceId;
    }

    public void setUniqueDeviceId(String uniqueDeviceId) {
        this.uniqueDeviceId = uniqueDeviceId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public HmdPartitionModel getVios() {
        return vios;
    }

    public void setVios(HmdPartitionModel vios) {
        this.vios = vios;
    }

    public HmdViosPhysicalEthernetAdapterModel getPhysicalEthernetAdapter() {
        return physicalEthernetAdapter;
    }

    public HmdViosPhysicalEthernetAdapterModel newPhysicalEthernetAdapter() {
        this.physicalEthernetAdapter = new HmdViosPhysicalEthernetAdapterModel();
        return physicalEthernetAdapter;
    }

    public void setPhysicalEthernetAdapter(HmdViosPhysicalEthernetAdapterModel physicalEthernetAdapter) {
        this.physicalEthernetAdapter = physicalEthernetAdapter;
    }

    public HmdVirtualNetworkAdapterModel getVirtualNetworkAdapter() {
        return virtualNetworkAdapter;
    }

    public HmdVirtualNetworkAdapterModel newVirtualNetworkAdapter() {
        this.virtualNetworkAdapter = new HmdVirtualNetworkAdapterModel();
        return virtualNetworkAdapter;
    }

    public void setVirtualNetworkAdapter(HmdVirtualNetworkAdapterModel virtualNetworkAdapter) {
        this.virtualNetworkAdapter = virtualNetworkAdapter;
    }

}
